repo/gentoo:master commit in: sys-apps/flatpak/

"Zac Medico" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786633482.031d7e8c04b8a4d86d844733d2be763a101446e9.zmedico@gentoo>
commit:     031d7e8c04b8a4d86d844733d2be763a101446e9
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 13 15:04:25 2026 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Thu Aug 13 15:04:42 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=031d7e8c

sys-apps/flatpak: add 1.18.1

Bug: https://bugs.gentoo.org/980781o
Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>

 sys-apps/flatpak/Manifest              |   1 +
 sys-apps/flatpak/flatpak-1.18.1.ebuild | 128 +++++++++++++++++++++++++++++++++
 2 files changed, 129 insertions(+)

diff --git a/sys-apps/flatpak/Manifest b/sys-apps/flatpak/Manifest
index 19687b90ca2c..2d2cf126107b 100644
--- a/sys-apps/flatpak/Manifest
+++ b/sys-apps/flatpak/Manifest
@@ -1 +1,2 @@
 DIST flatpak-1.16.6.tar.xz 1242088 BLAKE2B 685e8317fde3ba3eba02207e331a2c1582ae0320438fd2216d075bb8a6fa7ac47582582a373aafcb22c46693f4b83ec7ce1d19b01032930651b9c951ec347ccc SHA512 698fcc892fba0d944519ad7ed4bb4b12aa809e2e2682636c7cdfbd5f6d65571fdaa1e240d02b3df641c405e0ecaeb35d22adaab50a4347521bb6ca98d6bd5b93
+DIST flatpak-1.18.1.tar.xz 1355712 BLAKE2B 4b1775ba30991c8c230a8540b4b6f2b4c934bd0d150a6e9ed7872279207c53e75f99c5a77fd3ed772aef3215b3d17dec2291905e1916d864067ec1a82a2b06d5 SHA512 4f2e75ec291a76d4a3d005cb76e8b3c5d82ded5644a703b22af3c853d33c06f59673e8e339d967c42ae8a31dc07a33c0449c9908663737f31dbe8d12b94ccaf6

diff --git a/sys-apps/flatpak/flatpak-1.18.1.ebuild b/sys-apps/flatpak/flatpak-1.18.1.ebuild
new file mode 100644
index 000000000000..6d953592277c
--- /dev/null
+++ b/sys-apps/flatpak/flatpak-1.18.1.ebuild
@@ -0,0 +1,128 @@
+# Copyright 2020-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit linux-info meson python-any-r1 systemd tmpfiles
+
+DESCRIPTION="Linux application sandboxing and distribution framework"
+HOMEPAGE="https://flatpak.org/"
+SRC_URI="https://github.com/${PN}/${PN}/releases/download/${PV}/${P}.tar.xz"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="amd64 arm arm64 ~loong ~ppc64 ~riscv x86"
+IUSE="doc introspection policykit seccomp systemd test X"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	acct-group/flatpak
+	acct-user/flatpak
+	>=app-arch/libarchive-2.8:=
+	app-arch/zstd:=
+	>=app-crypt/gpgme-1.1.8:=
+	>=dev-libs/appstream-0.12:=
+	>=dev-libs/glib-2.56:2
+	>=dev-libs/libxml2-2.4:=
+	dev-libs/json-glib
+	dev-libs/libassuan:=
+	>=dev-util/ostree-2020.8:=[gpg(+)]
+	dev-util/ostree[curl]
+	>=gnome-base/dconf-0.26
+	gnome-base/gsettings-desktop-schemas
+	net-misc/curl
+	net-misc/socat
+	>=sys-apps/bubblewrap-0.10.0
+	sys-apps/dbus
+	>=sys-fs/fuse-3.1.1:3=
+	sys-apps/xdg-dbus-proxy
+	policykit? ( sys-auth/polkit )
+	X? (
+		x11-apps/xauth
+		x11-libs/libXau:=
+	)
+	x11-libs/gdk-pixbuf:2=
+	seccomp? ( sys-libs/libseccomp )
+	systemd? ( sys-apps/systemd )
+"
+
+DEPEND="${RDEPEND}"
+BDEPEND="
+	>=dev-build/automake-1.13.4
+	>=sys-devel/gettext-0.18.2
+	virtual/pkgconfig
+	>=dev-util/gdbus-codegen-2.80.5-r1
+	dev-util/glib-utils
+	dev-util/gtk-doc
+	app-alternatives/yacc
+	$(python_gen_any_dep 'dev-python/pyparsing[${PYTHON_USEDEP}]')
+	introspection? ( >=dev-libs/gobject-introspection-1.82.0-r2 )
+	doc? (
+		app-text/xmlto
+		dev-libs/libxslt
+	)
+	test? (
+		net-misc/socat
+		sys-auth/polkit
+	)
+"
+
+PDEPEND="sys-apps/xdg-desktop-portal"
+
+python_check_deps() {
+	python_has_version "dev-python/pyparsing[${PYTHON_USEDEP}]"
+}
+
+pkg_setup() {
+	local CONFIG_CHECK="~USER_NS"
+	linux-info_pkg_setup
+	python-any-r1_pkg_setup
+}
+
+src_prepare() {
+	default
+	# This line fails because locales are in /usr/lib/locale/locale-archive.
+	sed -i 's:^cp -r /usr/lib/locale/C.*:#\0:' tests/make-test-runtime.sh || die
+
+	# QA Notice: The ebuild is installing to one or more unexpected directories:
+	# /usr/share/doc/flatpak
+	sed -i "s|docdir = get_option('datadir') / 'doc' / 'flatpak'|docdir = get_option('datadir') / 'flatpak'|g" \
+		meson.build || die
+}
+
+src_configure() {
+	local emesonargs=(
+		--localstatedir="${EPREFIX}"/var
+		-Ddbus_config_dir=/usr/share/dbus-1/system.d
+		-Dsystem_bubblewrap=bwrap
+		-Dsystem_dbus_proxy=xdg-dbus-proxy
+		-Dtmpfilesdir=/usr/lib/tmpfiles.d
+		$(meson_use policykit tests)
+		$(meson_use test tests)
+		$(meson_feature policykit system_helper)
+		$(meson_feature introspection gir)
+		$(meson_feature X xauth)
+		$(meson_feature doc docbook_docs)
+		$(meson_feature seccomp seccomp)
+		$(meson_feature systemd systemd)
+	)
+
+	meson_src_configure
+}
+
+src_install() {
+	meson_src_install
+	# https://projects.gentoo.org/qa/policy-guide/installed-files.html#pg0303
+	find "${ED}" -name '*.la' -delete || die
+	# resolve conflict with acct-user/flatpak for #856706
+	rm -rf "${ED}/usr/lib/sysusers.d"
+
+	if use systemd; then
+	   systemd_dounit "${FILESDIR}"/flatpak-update.{service,timer}
+	fi
+}
+
+pkg_postinst() {
+	tmpfiles_process flatpak.conf
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.